Bug 1755864 - Puppet Smart Class Parameters names changed after upgrade from 6.3 to 6.4 from idm_* to freeipa_*
Summary: Puppet Smart Class Parameters names changed after upgrade from 6.3 to 6.4 fro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Branding
Version: 6.3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-26 11:07 UTC by Ahmed Eladawy
Modified: 2020-04-14 13:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:26:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:26:11 UTC

Description Ahmed Eladawy 2019-09-26 11:07:56 UTC
Description of problem:

As part of upgrading from satellite 6.3 to 6.4 , migrating all provisioning templates and parameters from idm_* to freeipa_* ,

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman_theme_satellite-2.0.1.13/db/migrate/20180516103339_update_idm_params.rb
/opt/theforeman/tfm/root/usr/share/gems/gems/foreman_theme_satellite-2.0.1.13/lib/foreman_theme_satellite/deprecated_templates.rb

https://bugzilla.redhat.com/show_bug.cgi?id=1572980.

This also affects Puppet Smart Class Parameters names and after the upgrade the names have been changed from idm_* to freeipa_* .

This affects customers who have Puppet Smart Class Parameters names starting with prefix idm_*.

The puppet class code added to satellite:
class sudoers::idm_sudo (
$idm_group_list = [ 'woffservice_addm' ],
$idm_group_list_with_template = [ '' ],
$idm_be_omex_group_list = [ '' ],
$idm_be_root_group_list = [ '' ],
$idm_generic_template_group_list = [ '' ],
$generic_template = 'default.erb',
)

and generates errors on the puppet clients :

Error: Could not retrieve catalog from remote server: Error 500 on SERVER: Server Error: Evaluation Error: Error while evaluating a Resource Statement, Class[Sudoers::Idm_sudo]:
  has no parameter named 'freeipa_be_omex_group_list'
  has no parameter named 'freeipa_be_root_group_list'
  has no parameter named 'freeipa_generic_template_group_list'
  has no parameter named 'freeipa_group_list' on node XXXX

Version-Release number of selected component (if applicable):

satellite 6.3

How reproducible:

100%

Steps to Reproduce:
1. On satellite 6.3 , upload any puppet module with classes contains any Smart Class Parameters with names idm_*
2. Upgrade to satellite 6.4
3.

Actual results:

The Smart Class Parameters names were changed to be freeipa_*

Expected results:

No change on the Smart Class Parameters names

Additional info:

Comment 5 Radovan Drazny 2020-02-04 14:28:27 UTC
Verified using the initial report and the Puppet module provided. Deployed the module to a Sat 6.6 instance and upgraded to Sat 6.7 Snap 10. "idm_be_omex_group_list", "idm_be_root_group_list", "idm_generic_template_group_list", "idm_group_list" and "idm_group_list_with_template" smart class parameters kept the "idm_" prefix after the upgrade.

Comment 8 errata-xmlrpc 2020-04-14 13:26:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.